## oem-bluetooth-rtkbtusb-1328352-dkms 1.0stellaoemdriver2wataugafour1

=== Makefile ===
#/usr/bin/make
SRC = $(DESTDIR)/usr/src
SHARE = $(DESTDIR)/usr/share/$(NAME)-dkms
FW = $(DESTDIR)/lib/firmware

all:

clean:

install:

#source tree
ifeq ("$(wildcard $(NAME)-$(VERSION))", "$(NAME)-$(VERSION)")
	install -d "$(SRC)"
	cp -a $(NAME)-$(VERSION) $(SRC)
	install -d "$(FW)"
	find "$(SRC)" -name '*_fw' -exec mv '{}' "$(FW)" \;
endif

#tarball, possibly with binaries
ifeq ("$(wildcard $(NAME)-$(VERSION).dkms.tar.gz)", "$(NAME)-$(VERSION).dkms.tar.gz")
	install -d "$(SHARE)"
	install -m 644 $(NAME)-$(VERSION).dkms.tar.gz "$(SHARE)"
endif

#postinst, only if we are supporting legacy mode
ifeq ("$(wildcard common.postinst)", "common.postinst")
	install -d "$(SHARE)"
	install -m 755 debian/common.postinst $(SHARE)/postinst
endif

#force, force install modules
ifeq ("\$(wildcard \$(NAME).force)", "\$(NAME).force")
	install -d \$(DESTDIR)/usr/share/dkms/modules_to_force_install
	install -m 644 \$(NAME).force \$(DESTDIR)/usr/share/dkms/modules_to_force_install
endif

=== oem-bluetooth-rtkbtusb-1328352-1.0stellaoemdriver2wataugafour1/Makefile ===
# needless plumbing necessary for dkms to function correctly

ifeq (,$(KVER))
	KERNELBUILD := /lib/modules/`uname -r`/build
else
	KERNELBUILD := /lib/modules/$(KVER)/build
endif

all:
	make -C $(KERNELBUILD) M=$(shell pwd) modules

clean:
	make -C $(KERNELBUILD) M=$(shell pwd) clean

=== oem-bluetooth-rtkbtusb-1328352-1.0stellaoemdriver2wataugafour1/8723A/Makefile ===
	FW_DIR	:= /lib/firmware

all:
	cp -f rtl8723a_fw $(FW_DIR)/rtl8723a_fw

clean:

	rm -f $(FW_DIR)/rtl8723a_fw

=== oem-bluetooth-rtkbtusb-1328352-1.0stellaoemdriver2wataugafour1/8723B/Makefile ===
	FW_DIR	:= /lib/firmware

all:
	cp -f rtl8723b_fw $(FW_DIR)/rtl8723b_fw

clean:
	rm -f $(FW_DIR)/rtl8723b_fw

=== oem-bluetooth-rtkbtusb-1328352-1.0stellaoemdriver2wataugafour1/oem-bluetooth-rtkbtusb-1328352-dkms-mkdeb/debian/changelog ===
oem-bluetooth-rtkbtusb-1328352-dkms (1.0stellaoemdriver2wataugafour1) precise; urgency=medium

  * port to Watauga4. 

 -- Shengyao Xue <shengyao.xue@canonical.com>  Wed, 31 Dec 2014 03:46:46 +0800

oem-bluetooth-rtkbtusb-1328352-dkms (1.0stellaoemdriver2) trusty; urgency=medium

  * VendorSource: Linux_BT_USB_2.11.20140423_8723BE.RAR
    (LP: #1328352)

 -- Gerald Yang <gerald.yang@canonical.com>  Thu, 17 Jul 2014 01:17:00 +0800

oem-bluetooth-rtkbtusb-1328352-dkms (1.0stellaoemdriver1) trusty; urgency=low

  * Initial release. (LP: #1328352)
  * VendorSource: Linux_BT_USB_2.11.20140318_hp.rar

 -- Gerald Yang <gerald.yang@canonical.com>  Tue, 10 Jun 2014 22:58:04 +0800

=== debian/control ===
Source: oem-bluetooth-rtkbtusb-1328352-dkms
Section: misc
Priority: optional
Maintainer: Canonical Commercial Engineering <commercial-engineering@canonical.com>
Build-Depends: debhelper (>= 7.0.50~), dh-modaliases, dkms
Standards-Version: 3.9.3

Package: oem-bluetooth-rtkbtusb-1328352-dkms
Architecture: all
Depends: dkms (>= 1.95), ${misc:Depends}
XB-Modaliases: ${modaliases}
Description: oem-bluetooth-rtkbtusb-1328352 driver in DKMS format.
XBCS-Oem-Vendor: Realtek

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEB_NAME=oem-bluetooth-rtkbtusb-1328352
NAME=oem-bluetooth-rtkbtusb-1328352
VERSION=1.0stellaoemdriver2wataugafour1

configure: configure-stamp
configure-stamp:
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE)
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp
	-$(MAKE) clean
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_prep
	dh_installdirs
	dh_installchangelogs
	$(MAKE) DESTDIR=$(CURDIR)/debian/$(DEB_NAME)-dkms NAME=$(NAME) VERSION=$(VERSION) install

binary-arch: build install

binary-indep: build install
	dh_modaliases
	dh_install
	dh_testdir
	dh_testroot
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
